Bug 59025 - Matching toolchains against test farm results
Matching toolchains against test farm results
Status: CLOSED WONTFIX
Product: eCos
Classification: Retired
Component: Test farm (Show other bugs)
CVS
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eugene Kulesha
eCos bugs internal list
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-29 10:51 EST by Alex Schuilenburg
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 12:12:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Schuilenburg 2002-01-29 10:51:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
Jesper wrote:
I'm sorry, I've reached the limits of my memory again. These last couple
of days, I've been gropping around in vain for the correct toolchain to
use for various platforms.

I've been looking at the
http://cygweb.cygnus.com/ecos/support/releases.cgi pages which do help a
little. But it's too little information, and it's not easy to use.

I would like there to be scheduled time for Al or Julian (or whoever) to
add information to some database about what toolchains have been used
for particular RedBoot releases (we have the info for eCos releases, but
not RedBoot releases), Linux releases, what toolchains are *presently*
in use on trial basis, what toolchains are used in the farm, and what
toolchains should be used in the future for a given architecture.

Some of the information can be found via releases.sgi, some via the
farm's DB, and the rest, if you're lucky, by looking for postings on
various mailing lists.

It would be nice if we had *one*, up to date, description of what
toolchains have been used (for what), what toolchains are presently
used, and what toolchains should be used for new projects. 

You know, so engineers can quickly see which toolchain is used in the
farm for, say, malta boards, and *why* that particular toolchain is used
when it appears to be rather old compared to the toolchains available on
the engineer's machine. Could be intentional. Could be an oversight.
Could be the engineer had updated his toolchain for another project.
Could be the farm toolchain had not been updated for the current
project. Etc, etc, etc...

Does that make sense? I'm sure it won't happen overnight, and I'm also
sure someone needs to sit down and have a good long think about how to
do it in a sensible manner, so data can be shared between various
databases. But I'm asking for time to be scheduled to do that process.

Thanks,
Jesper

Enhancement request

Expected Results:  List toolchains against test farm results and vice-versa.
Comment 1 Alex Schuilenburg 2003-06-20 12:12:37 EDT
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=59025

Note You need to log in before you can comment on or make changes to this bug.